package space.eptaproject.vmodextras.compact.trackwork.item;

import net.minecraft.core.BlockPos;
import net.minecraft.nbt.CompoundTag;
import net.minecraft.world.InteractionResult;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.context.UseOnContext;
import net.minecraft.world.level.Level;

public class ToolKit extends Item {
    public ToolKit(Item.Properties properties) {
        super(properties);
    }

    @Override
    public InteractionResult onItemUseFirst(ItemStack stack, UseOnContext context) {
        Player player = context.getPlayer();
        if (player != null && player.mayBuild()) {
            Level level = context.getLevel();
            BlockPos pos = context.getClickedPos();
            CompoundTag nbt = stack.getTag();

            return InteractionResult.PASS;
        } else {
            return InteractionResult.PASS;
        }
    }

    public enum Mode {
        CLEAR
    }
}
