package space.eptaproject.vmodextras.mixins.trackwork;

import edn.stratodonut.trackwork.tracks.forces.SimpleWheelController;
import org.joml.Vector3dc;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.gen.Accessor;

@Mixin(SimpleWheelController.class)
public interface SimpleWheelControllerAccessor {
    @Accessor(value = "suspensionStiffness", remap = false)
    float getSuspensionStiffness();

    @Accessor(value = "suspensionStiffness", remap = false)
    void setSuspensionStiffness(float val);

    @Accessor(value = "suspensionAdjust", remap = false)
    Vector3dc getSuspensionAdjust();

    @Accessor(value = "suspensionAdjust", remap = false)
    void setSuspensionAdjust(Vector3dc vector3d);
}
